summaryrefslogtreecommitdiff
path: root/publish-repo
diff options
context:
space:
mode:
authorPhilip J Freeman <elektron@halo.nu>2005-07-22 01:13:13 -0700
committerPhilip J Freeman <elektron@halo.nu>2026-04-22 12:13:02 -0700
commit521028801517a92ffdbf4911ca9d6db67e8de7d3 (patch)
tree5eaf050789a03275c73fd810f8d65edb6de54cc1 /publish-repo
parente33ea89387b46c5a4a91b1fd90c05e0d7ad56470 (diff)
add a gui; initial dev releasehalo.01.20250721.235859
Diffstat (limited to 'publish-repo')
-rwxr-xr-xpublish-repo15
1 files changed, 11 insertions, 4 deletions
diff --git a/publish-repo b/publish-repo
index d4ece7c..f1ec88e 100755
--- a/publish-repo
+++ b/publish-repo
@@ -3,10 +3,17 @@
set -o pipefail
. config
+. sh-lib
-version="$(find "$roots" -mindepth 1 -maxdepth 1 -type d | cut -d/ -f2 | sort -rn | head -1)"
+# Check for dependencies:
+package_deps ostree
-[ ! -d "$repo" ] && ostree --repo="$repo" init --mode=archive
+version="$(cd "${roots:?}"/"${branch:?}"; find ./ -mindepth 1 -maxdepth 1 -type d | cut -d/ -f2 | sort -rn | head -1)"
+
+if [ ! -d "$repo" ]; then
+ mkdir -p "$repo"
+ ostree --repo="$repo" init --mode=archive
+fi
REF=$(ostree --repo="$build_repo" rev-parse "$branch")
@@ -15,9 +22,9 @@ ostree --repo="$repo" pull-local "$build_repo" "$REF"
ostree --repo="$repo" commit -b "$branch" \
-s "$osname/$osversion:($osdesc) $branch $version" \
--add-metadata-string=version="$branch":"$version" \
- --gpg-sign=CE4A0BF21E1C237DD8C400FAA39487B22697143F \
+ --gpg-sign=91BC029A6B3701253B585656C5FE25B2138B1F0F \
--tree=ref="$REF"
-ostree --repo="$repo" static-delta generate "$branch" || echo "Warning: static-delta generate failed" >&2
+ostree --repo="$repo" static-delta generate "$branch" || echo "Warning: static-delta generate failed, (they grow up so fast...)" >&2
ostree --repo="$repo" summary -u